package com.centreproject.system.service.job.context;


import com.centreproject.system.domain.sync.kpi.SyncRule;
import lombok.Data;

import java.util.Map;

/**
 *
 * 同步规则上下文（存储单个模块的规则缓存）
 * @author zhonglei.xu
 */
@Data
public class SyncRuleContext {

    private String moduleName;

    private Map<String, SyncRule> ruleCache;

    // Getter 和 Setter
    public String getModuleName() {
        return moduleName;
    }

    public void setModuleName(String moduleName) {
        this.moduleName = moduleName;
    }

    public Map<String, SyncRule> getRuleCache() {
        return ruleCache;
    }

    public void setRuleCache(Map<String, SyncRule> ruleCache) {
        this.ruleCache = ruleCache;
    }
}
